﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace MapControlTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainWindow_Loaded);

        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            ShapeFileFeatureLayer s = new ShapeFileFeatureLayer(@"SampleData\USStates.shp", ShapeFileReadWriteMode.ReadOnly);
            s.RequireIndex = true;
            s.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            s.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(s);

            this.MapControl.Overlays.Add(overlay);

            s.Open();
            this.MapControl.CurrentExtent = s.GetBoundingBox();
            s.Close();
        }
    }
}
